"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b1a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b240>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b2e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b380>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b420>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b4c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b560>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b600>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b6a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b740>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b7e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b880>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b920>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3b9c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3ba60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3bb00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3bba0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3bc40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3bce0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3bd80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3be20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3bec0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d3bf60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d880e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88180>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88220>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d882c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88360>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88400>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d884a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88540>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d885e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88680>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88720>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d887c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88860>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88900>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d889a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88a40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88ae0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88b80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88c20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88cc0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88d60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88e00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88ea0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88f40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d88fe0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89080>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89120>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d891c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89260>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89300>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d893a0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89440>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d894e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89580>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89620>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d896c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89760>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89800>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d898a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d899e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89a80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89b20>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89bc0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89c60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89d00>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89da0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89e40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89ee0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d89f80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a020>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a0c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a200>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a2a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a340>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a480>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a3e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a520>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a5c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff99d8a660>)]
name: str = 'fr_HOCCN'
